SystemOrganization addCategory: #VMP!

Object subclass: #ProjectVolunteer
	instanceVariableNames: 'projectId name status tasks coordinators'
	classVariableNames: 'ProjectDatabase'
	poolDictionaries: ''
	category: 'VMP'!

!ProjectVolunteer class methodsFor: 'as yet unclassified' stamp: ''!
createProject: aProject 
	Transcript cr.
	Transcript show: '** creating a new Project'.
	Transcript cr.
	self projects add: aProject projectId -> aProject! !

!ProjectVolunteer class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabase
	Transcript cr.
	Transcript show: '* creating database of projects'.
	Transcript cr.
	ProjectDatabase := Dictionary new add: 1
					-> (self
							projectId: 1
							name: 'Project 1'
							status: 'A');
				 add: 2
					-> (self
							projectId: 2
							name: 'Project 2'
							status: 'A');
				 add: 3
					-> (self
							projectId: 3
							name: 'Project 3'
							status: 'A');
				 yourself! !

!ProjectVolunteer class methodsFor: 'as yet unclassified' stamp: ''!
insertProject: aProject 
	Transcript cr.
	Transcript show: '** creating a new Project'.
	Transcript cr.
	self projects add: aProject projectId -> aProject! !

!ProjectVolunteer class methodsFor: 'as yet unclassified' stamp: ''!
projectId: idInteger name: nameString status: statusString 
	^ self new projectId: idInteger;
		 name: nameString;
		 status: statusString;
		 tasks: Dictionary new;
		 coordinators: Dictionary new;
		 yourself! !

!ProjectVolunteer class methodsFor: 'as yet unclassified' stamp: ''!
projects
	ProjectDatabase isNil
		ifTrue: [self createSampleDatabase].
	^ ProjectDatabase! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
addCoordinatorToProject: aCoordinator 
	self coordinators add: aCoordinator volunteerId -> aCoordinator! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
addTaskToProject: aTask 
	self listOfTask add: aTask! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
coordinators
	^ coordinators! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
coordinators: aListOfCoordinators 
	coordinators := aListOfCoordinators! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
name
	^ name! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
name: aName 
	name := aName! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
projectId
	^ projectId! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
projectId: anInteger 
	projectId := anInteger! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
removeCoordinator
	^ self! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
status
	^ status! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
status: aStatus 
	status := aStatus! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
tasks
	^ tasks! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
tasks: aListOfTask 
	tasks := aListOfTask! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
updateSatus
	^ self! !

Object subclass: #ProjectVolunteerManager
	instanceVariableNames: 'projects'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
createProject
	^ self! !

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
queryProject
	^ self! !

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
removeProject
	^ self! !

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
validateVolunteer
	^ self! !

Object subclass: #Skill
	instanceVariableNames: 'skillId name description'
	classVariableNames: 'SkillDataBase'
	poolDictionaries: ''
	category: 'VMP'!

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabase
	Transcript cr.
	Transcript show: '* creating database of skils'.
	Transcript cr.
	SkillDataBase := Dictionary new add: 1
					-> (self
							skillId: 1
							name: 'smallTalk language knowledge'
							description: '');
				 add: 2
					-> (self
							skillId: 2
							name: 'SUnit knowledge'
							description: '');
				 yourself! !

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
getSkill: aKey 
	^ self skills at: aKey! !

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
insertSkill: anSkill 
	Transcript cr.
	Transcript show: '** creating a new skill'.
	Transcript cr.
	self skills add: anSkill skillId -> anSkill! !

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
removeSkill: aKey 
	self skills removeKey: aKey! !

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
skillId: t1 name: t2 description: t3 
	^ self new skillId: t1;
		 name: t2;
		 description: t3;
		 yourself! !

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
skills
	SkillDataBase isNil
		ifTrue: [self createSampleDatabase].
	^ SkillDataBase! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
description
	^ description! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
description: t1 
	description := t1! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
name
	^ name! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
name: t1 
	name := t1! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
skillId
	^ skillId! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
skillId: t1 
	skillId := t1! !

Object subclass: #Task
	instanceVariableNames: 'taskId creatorId name description status hours startDate completionDate deadline skills volunteers dependencies applicantsAccepted'
	classVariableNames: 'Database SkillDataBase'
	poolDictionaries: ''
	category: 'VMP'!

!Task class methodsFor: 'as yet unclassified' stamp: ''!
addTask: newTask 
	self tasks add: newTask taskId -> newTask! !

!Task class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabase
	Transcript cr.
	Transcript show: '* creating database of task'.
	Transcript cr.
	Database := Dictionary new add: 1 -> (self
						taskId: 1
						name: 'Smalltalk 1'
						description: 'Description 1'
						skills: Dictionary new
						add: 1
								-> (self
										skillId: 1
										name: 'SmallTalk'
										description: 'SmallTalk');
						 add: 2
							-> (self
									skillId: 2
									name: 'SUnit'
									description: 'SUnit'));
				 add: 2 -> (self
						taskId: 2
						name: 'J2EE'
						description: 'J2EE'
						skills: Dictionary new
						add: 3
								-> (self
										skillId: 3
										name: 'Java'
										description: 'Java');
						 add: 4
							-> (self
									skillId: 4
									name: 'Hibernate'
									description: 'Hibernate'));
				 add: 3 -> (self
						taskId: 3
						name: 'Game Programming C++'
						description: 'Description Game Programming'
						skills: Dictionary new
						add: 5
								-> (self
										skillId: 5
										name: 'C++'
										description: 'C++');
						 add: 6
							-> (self
									skillId: 6
									name: 'Visual C++'
									description: 'Visual C++'));
				 yourself! !

!Task class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabaseWithSkills
	Transcript cr.
	Transcript show: '* creating database of task'.
	Transcript cr.
	Database := Dictionary new add: 1 -> (self
						taskId: 1
						name: 'Smalltalk 1'
						description: 'Description 1'
						skills: Dictionary new
						add: 1
								-> (self
										skillId: 1
										name: 'SmallTalk'
										description: 'SmallTalk');
						 add: 2
							-> (self
									skillId: 2
									name: 'SUnit'
									description: 'SUnit'));
				 add: 2 -> (self
						taskId: 2
						name: 'J2EE'
						description: 'J2EE'
						skills: Dictionary new
						add: 3
								-> (self
										skillId: 3
										name: 'Java'
										description: 'Java');
						 add: 4
							-> (self
									skillId: 4
									name: 'Hibernate'
									description: 'Hibernate'));
				 add: 3 -> (self
						taskId: 3
						name: 'Game Programming C++'
						description: 'Description Game Programming'
						skills: Dictionary new
						add: 5
								-> (self
										skillId: 5
										name: 'C++'
										description: 'C++');
						 add: 6
							-> (self
									skillId: 6
									name: 'Visual C++'
									description: 'Visual C++'));
				 yourself! !

!Task class methodsFor: 'as yet unclassified' stamp: ''!
taskId: idInteger name: nameString description: descriptionString 
	^ self new taskId: idInteger;
		 name: nameString;
		 description: descriptionString;
		 yourself! !

!Task class methodsFor: 'as yet unclassified' stamp: ''!
taskId: idInteger name: nameString description: descriptionString skills: skillsDictionary 
	^ self new taskId: idInteger;
		 name: nameString;
		 description: descriptionString;
		 skills: skillsDictionary;
		 yourself! !

!Task class methodsFor: 'as yet unclassified' stamp: ''!
taskId: idInteger name: nameString description: descriptionString skills: skillsDictionary volunteers: volunteersDictionary 
	^ self new taskId: idInteger;
		 name: nameString;
		 description: descriptionString;
		 skills: skillsDictionary;
		 volunteers: volunteersDictionary;
		 yourself! !

!Task class methodsFor: 'as yet unclassified' stamp: ''!
tasks
	Database isNil
		ifTrue: [self createSampleDatabase].
	^ Database! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
acceptVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
acceptVolunteer: aVolunteer 
	volunteers add: aVolunteer volunteerId -> aVolunteer! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addApplicantAccepted: aVolunteer 
	applicantsAccepted add: aVolunteer volunteerId -> aVolunteer! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addDependency: aTask 
	dependencies add: aTask taskId -> aTask! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addSkill: aSkill 
	skills add: aSkill skillId -> aSkill! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addSkill: key and: aSkill 
	skills add: key -> aSkill! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addVolunteer: aVolunteer 
	volunteers add: aVolunteer volunteerId -> aVolunteer! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
applicantsAccepted
	^ applicantsAccepted! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
applicantsAccepted: newApplicantsAccepted 
	applicantsAccepted := newApplicantsAccepted! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
completionDate
	^ completionDate! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
completionDate: newCompletionDate 
	completionDate := newCompletionDate! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
creatorId
	^ creatorId! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
creatorId: newCreatorId 
	creatorId := newCreatorId! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
deadline
	^ deadline! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
deadline: newDeadLine 
	deadline := newDeadLine! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
dependencies
	^ dependencies! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
dependencies: newDependencies 
	dependencies := newDependencies! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
description
	^ description! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
description: newDescription 
	description := newDescription! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
getSizeSkills
	^ skills size! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
hours
	^ hours! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
hours: newHours 
	hours := newHours! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
initialize
	skills := Dictionary new.
	dependencies := Dictionary new.
	volunteers := Dictionary new.
	applicantsAccepted := Dictionary new! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
name
	^ name! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
name: newName 
	name := newName! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
rejectVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
rejectVolunteer: idVolunteer 
	'delete of list applicants voluntee' applicants removeKey: idVolunteer! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
removeVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
removeVolunteer: idVolunteer 
	volunteers removeKey: idVolunteer! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
skills
	^ skills! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
skills: newSkills 
	skills := newSkills! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
start
	startDate := Date now! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
startDate
	^ startDate! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
startDate: newStartDate 
	startDate := newStartDate! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
status
	^ status! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
status: newStatus 
	status := newStatus! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
suggestVolunteers
	| hasSkill |
	applicantsAccepted := Dictionary new.
	skills
		keysDo: [:skillId | volunteers
				valuesDo: [:volun | 
					hasSkill := volun skills includes: skillId.
					Transcript show: hasSkill;
						 cr.
					hasSkill = true
						ifTrue: [applicantsAccepted add: volun volunteerId -> volun]]].
	^ applicantsAccepted! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
taskId
	^ taskId! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
taskId: Id 
	taskId := Id! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
terminate
	completionDate = Date new! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
volunteers
	^ volunteers! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
volunteers: newVolunteers 
	volunteers := newVolunteers! !

Object subclass: #TaskManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
createTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
queryTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
removeTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
suggestVolunteerTask
	^ self! !

Object subclass: #VMP
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

Object subclass: #Volunteer
	instanceVariableNames: 'volunteerId name password status age gender skills email currentTasks'
	classVariableNames: 'Database'
	poolDictionaries: ''
	category: 'VMP'!

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
addSkillToVolunteer: anSkill 
	self skills add: anSkill! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabase
	Transcript cr.
	Transcript show: '* creating database of volunteers firstTime'.
	Transcript cr.
	Database := Dictionary new add: 1
					-> (self
							volunteerId: 1
							name: 'Evelyn Perez Cervantes'
							password: '123123'
							email: 'epcervantes7@gmail.com');
				 add: 2
					-> (self
							volunteerId: 2
							name: 'Nataly Perez Cervantes'
							password: '123123'
							email: 'natalypc2@gmail.com');
				 add: 3
					-> (self
							volunteerId: 3
							name: 'Sidney Perez Cervantes'
							password: '123123'
							email: 'sidneypc27@gmail.com');
				 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
getVolunteer: anInteger 
	^ self volunteers at: anInteger! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
insertVolunteer: aVolunteer 
	Transcript cr.
	Transcript show: '** creating a new volunteer'.
	Transcript cr.
	self volunteers add: aVolunteer volunteerId -> aVolunteer! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
listOfVolunteers
	| t1 |
	1
		to: self volunteers size
		do: [:t2 | 
			t1 := t1 + t2.
			Transcript show: self volunteers at: t2]! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
name: t2 email: t3 
	^ self new name: t2;
		 email: t3;
		 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
volunteerId: idInteger name: nameString email: emailString 
	^ self new volunteerId: idInteger;
		 name: nameString;
		 email: emailString;
		 skills: Dictionary new;
		 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
volunteerId: t1 name: t2 email: t3 age: t4 
	^ self new volunteerId: t1;
		 name: 'dasdada';
		 email: t3;
		 age: t4;
		 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
volunteerId: idInteger name: nameString password: aPassword email: emailString 
	^ self new volunteerId: idInteger;
		 name: nameString;
		 email: emailString;
		 password: aPassword;
		 skills: Dictionary new;
		 currentTasks: Dictionary new;
		 status: 'A' yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
volunteers
	Database isNil
		ifTrue: [self createSampleDatabase].
	^ Database! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
addSkillToVolunteer: anSkill 
	self skills add: anSkill skillId -> anSkill! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
age
	^ age! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
age: t1 
	name := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
currentTasks
	^ currentTasks! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
currentTasks: aListOfTasks 
	currentTasks := aListOfTasks! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
email
	^ email! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
email: t1 
	email := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
gender
	^ gender! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
gender: t1 
	gender := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
hasSkill: skillId 
	^ self! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
name
	^ name! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
name: t1 
	name := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
password
	^ password! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
password: aPassword 
	password := aPassword! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
removeSkillOfVolunteer: anInteger 
	self skills removeKey: anInteger! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
skills
	^ skills! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
skills: t1 
	skills := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
status
	^ status! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
status: aStatus 
	status := aStatus! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
volunteerId
	^ volunteerId! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
volunteerId: t1 
	volunteerId := t1! !

TestCase subclass: #MySetTest
	instanceVariableNames: 'full empty'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
setUp
	Contact createSampleDatabase.
	Skill createSampleDatabase.
	ProjectVolunteer createSampleDatabase! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testAddTask
	| task1 isTrue |
	task1 := Task new.
	task1 taskId: 4.
	task1 name: 'Task Test'.
	task1 description: 'Description Test'.
	Task addTask: task1.
	isTrue := Task tasks includes: task1.
	self assert: isTrue! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testCreateProject
	| t1 t2 |
	Transcript cr.
	Transcript show: '** test testCreateVolunteer'.
	Transcript cr.
	t1 := ProjectVolunteer new.
	t1 projectId: 5.
	t1 name: 'project Test'.
	ProjectVolunteer insertProject: t1.
	t2 := ProjectVolunteer projects includes: t1.
	self assert: t2! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testCreateSkill
	| t1 t2 |
	Transcript cr.
	Transcript show: '** test testCreateSkill'.
	Transcript cr.
	t1 := Skill new.
	t1 skillId: 4.
	t1 name: 'english language'.
	Skill insertSkill: t1.
	t2 := Skill skills includes: t1.
	self assert: t2! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testCreateVolunteer
	| t1 t2 |
	Transcript cr.
	Transcript show: '** test testCreateVolunteer'.
	Transcript cr.
	t1 := Volunteer new.
	t1 volunteerId: 5.
	t1 name: 'Usuario Prova'.
	Volunteer insertVolunteer: t1.
	t2 := Volunteer volunteers includes: t1.
	self assert: t2! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testSuggestVolunteerToTask
	| task1 isTrue skillsTask skillTask1 skillTask2 skillTask3 volunteer1 volunteer2 skillsVolunteer |
	skillTask1 := Skill new.
	skillTask1 skillId: 1.
	skillTask1 name: 'Smalltalk'.
	skillTask1 description: 'Intermediate Smalltalk'.
	skillTask2 := Skill new.
	skillTask2 skillId: 2.
	skillTask2 name: 'SUnit'.
	skillTask2 description: 'Advanced SUnit'.
	skillTask3 := Skill new.
	skillTask3 skillId: 3.
	skillTask3 name: 'Java'.
	skillTask3 description: 'Advanced Java'.
	volunteer1 := Volunteer new.
	volunteer1 volunteerId: 1.
	volunteer1 name: 'Erika Guetti Suca'.
	volunteer1 password: '123123'.
	volunteer1 email: 'eguetti18@gmail.com'.
	skillsVolunteer := Dictionary new.
	skillsVolunteer add: skillTask1 skillId -> skillTask1.
	volunteer1 skills: skillsVolunteer.
	volunteer2 := Volunteer new.
	volunteer2 volunteerId: 2.
	volunteer2 name: 'Evelyn Cervantes'.
	volunteer2 password: '123444'.
	volunteer2 email: 'evelyn@gmail.com'.
	skillsVolunteer := Dictionary new.
	skillsVolunteer add: skillTask2 skillId -> skillTask2.
	volunteer2 skills: skillsVolunteer.
	task1 := Task new.
	task1 taskId: 1.
	task1 name: 'Task Test'.
	task1 description: 'Description Test'.
	skillsTask := Dictionary new.
	skillsTask add: skillTask1 skillId -> skillTask1.
	skillsTask add: skillTask3 skillId -> skillTask3.
	task1 skills: skillsTask.
	task1 addVolunteer: volunteer1.
	task1 addVolunteer: volunteer2.
	task1 suggestVolunteers.
	isTrue := task1 applicantsAccepted includes: volunteer1.
	self assert: isTrue! !
